Skip to navigation

Get Add-on Price (v4)

View as Markdown

Returns the price for a Megaport product add-on based on the specified configuration parameters.

This endpoint allows you to fetch the pricing information for a given add-on configuration. This configuration can be for an entirely new add-on for an existing product.

The request will be rejected if the add-on type is not supported.

The parameters are defined in the Body of the request:

  • addOnType - The type of add-on: CROSS_CONNECT. Cross Connects can only be added for Ports. (String).

  • productUid - The unique identifier for the product. Either productUid or locationId must be provided (String).

  • locationId - The location identifier where the Cross Connect will be configured. If productUid is provided, the location of the product will be used. Either productUid or locationId must be provided (Integer).

  • companyId - The id of the company that will own the product. If not provided, will default to the authenticated user’s company (Integer).

  • currency - The ISO 4217 currency code to use for pricing. For example, the US dollar is USD. If not provided, defaults to the existing product’s currency. If the product is not specified, currency must be provided. For more information, see Country Currency Codes. (String)

  • crossConnectRequested - Whether a Cross Connect has been requested (Boolean).

Note: Only one of productUID or locationId should be provided for Cross Connect add-on pricing. Otherwise, the request will return a 400 error.

Query parameters

companyIdstringOptional

The Id of the company that will own the product. If not provided, it will default to the authenticated user’s company. This can be supplied with productUid to fetch the pricing of an existing product, but in the context of another company. (Optional - integer <int32> >= 1)

Request

This endpoint expects an object.
addOnTypestringOptional
companyIddoubleOptional
crossConnectRequestedbooleanOptional
currencystringOptional
productUidstringOptional

Response

Get Add-on Price (v4) - Cross Connect / Get Add-on Price (v4) - Cross Connect

dataobjectOptional
messagestringOptional
termsstringOptional

Errors

400
Bad Request Error